org.eclipse.ease.ui.launching

## Class MainTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.ease.ui.launching.MainTab

All Implemented Interfaces:
  ILaunchConfigurationTab, ILaunchConfigurationTab2

    public class MainTab
    extends AbstractLaunchConfigurationTab
    implements ILaunchConfigurationTab

### Constructor Summary

Constructors
Constructor and Description
`MainTab()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canSave()`
`void` `createControl(Composite parent)`
`String` `getMessage()`
`String` `getName()`
`void` `initializeFrom(ILaunchConfiguration configuration)`
`boolean` `isValid(ILaunchConfiguration launchConfig)`
`void` `performApply(ILaunchConfigurationWorkingCopy configuration)`
`void` `setDefaults(ILaunchConfigurationWorkingCopy configuration)`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`activated, deactivated, dispose, getControl, getErrorMessage, getHelpContextId, getId, getImage, getWarningMessage, launched, setHelpContextId, setLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`activated, deactivated, dispose, getControl, getErrorMessage, getImage, launched, setLaunchConfigurationDialog`

### Constructor Detail

#### MainTab

    public MainTab()

### Method Detail

#### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy configuration)

Specified by:
  `setDefaults` in interface `ILaunchConfigurationTab`

#### initializeFrom

    public void initializeFrom(ILaunchConfiguration configuration)

Specified by:
  `initializeFrom` in interface `ILaunchConfigurationTab`

#### performApply

    public void performApply(ILaunchConfigurationWorkingCopy configuration)

Specified by:
  `performApply` in interface `ILaunchConfigurationTab`

#### isValid

    public boolean isValid(ILaunchConfiguration launchConfig)

Specified by:
  `isValid` in interface `ILaunchConfigurationTab`
Overrides:
  `isValid` in class `AbstractLaunchConfigurationTab`

#### canSave

    public boolean canSave()

Specified by:
  `canSave` in interface `ILaunchConfigurationTab`
Overrides:
  `canSave` in class `AbstractLaunchConfigurationTab`

#### getMessage

    public String getMessage()

Specified by:
  `getMessage` in interface `ILaunchConfigurationTab`
Overrides:
  `getMessage` in class `AbstractLaunchConfigurationTab`

#### getName

    public String getName()

Specified by:
  `getName` in interface `ILaunchConfigurationTab`

#### createControl

    public void createControl(Composite parent)

Specified by:
  `createControl` in interface `ILaunchConfigurationTab`